#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - installation script
#
# Copyright (c) 2012 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation   :  2012-01-06 jed
# Last update:  $Id: install.sh 29456 2012-01-06 20:12:00Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set packages name
package_name=libsrs2

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="libsrs2.so.0.0.0"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done

# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig

# ---------------------------------------------------------------------------
# check for old (devel-)packages
# ---------------------------------------------------------------------------
base_version=$(/var/install/bin/check-version base 1.8.0)
if [ "${base_version}" = "new" ]
then

if [ -f /var/install/packages/${package_name}-dev ]
then
    version=`grep "<version" /var/install/packages/${package_name} |
             sed 's# ##g; s#</*version>##g'`
    package_name=${package_name}-dev
    install_version=`/var/install/bin/check-version ${package_name} ${version}`

    if [ ${install_version} = new ]
    then
        . /var/install/include/eislib

        echo
        mecho --warn "An old devel package is installed."
        mecho --warn "To prevent version conflicts it is recommended"
        mecho --warn "that you also update the devel package."

        /var/install/bin/check-package -p ${package_name} -v ${version}
        retvar=${?}
        if [ ${retvar} -ne 0 ]
        then
            deinstall_file=/var/install/deinstall/${package_name}

            if [ -f ${deinstall_file} ]
            then
                /var/install/bin/del-package ${package_name}
            fi
        fi
    fi
fi

fi

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
exit 0
